#lang nightshade

(require racket/file
         racket/string)

(define default-panel-conf "/usr/share/ratpoison/panel")

(define panel-conf-dir 
  (format "~a/.config/lxpanel/" (find-system-path 'home-dir)))

(define panel-conf 
  (format "~a/nightshade" panel-conf-dir))

(unless (directory-exists? panel-conf) 
  (make-directory* panel-conf-dir) 
  (copy-directory/files default-panel-conf panel-conf))

(if (file-exists? (format "~a/.config/nitrogen/bg-saved.cfg"
  (find-system-path 'home-dir)))
  (exec "nitrogen --restore")
  (exec "nitrogen --set-zoom-fill /usr/share/backgrounds/f29/default/standard/f29.png"))

(xresources
  "Xft.dpi: 180"
  "URxvt.font: xft:meslolgsdz:size=8"
  "URxvt.transparent: true"
  "URxvt.shading: 65"
  "URxvt.foreground: #eeeeee"
  "URxvt.letterSpace: -4")

(enable-transparent-compositing)

(execm "nm-applet")

(bind-exec 'f "firefox")
(bind-exec 'c "urxvt256c-ml")
(bind-exec 'l "xlock")

(set-padding 0 66 0 0)

(unmanage "lxpanel")
(unmanage "panel")
(execm "lxpanel -p nightshade")

(exec "xinput set-prop 'DLL077A:01 06CB:76AF Touchpad' 'libinput Natural Scrolling Enabled' 1 &")
(exec "xinput set-prop 'DLL077A:01 06CB:76AF Touchpad' 'libinput Click Method Enabled' {1 1} &")

(terminal)

